import * as React from 'react';
export declare const StepperProvider: React.Provider<{
    stepsRef: React.MutableRefObject<string[]>;
    activeStep: string;
    activeIndex: number;
    isFirstStep: boolean;
    isLastStep: boolean;
    isCompleted: boolean;
    setIndex: React.Dispatch<React.SetStateAction<number>>;
    setStep: (name: string) => void;
    nextStep: () => void;
    prevStep: () => void;
    registerStep: (name: string) => void;
    unregisterStep: (name: string) => void;
}>, useStepperContext: () => {
    stepsRef: React.MutableRefObject<string[]>;
    activeStep: string;
    activeIndex: number;
    isFirstStep: boolean;
    isLastStep: boolean;
    isCompleted: boolean;
    setIndex: React.Dispatch<React.SetStateAction<number>>;
    setStep: (name: string) => void;
    nextStep: () => void;
    prevStep: () => void;
    registerStep: (name: string) => void;
    unregisterStep: (name: string) => void;
};
export interface UseStepperProps {
    step?: number | string;
    isCompleted?: boolean;
    onChange?(index: number): void;
}
export declare function useStepper(props: UseStepperProps): {
    stepsRef: React.MutableRefObject<string[]>;
    activeStep: string;
    activeIndex: number;
    isFirstStep: boolean;
    isLastStep: boolean;
    isCompleted: boolean;
    setIndex: React.Dispatch<React.SetStateAction<number>>;
    setStep: (name: string) => void;
    nextStep: () => void;
    prevStep: () => void;
    registerStep: (name: string) => void;
    unregisterStep: (name: string) => void;
};
export type UseStepperReturn = ReturnType<typeof useStepper>;
export interface UseStepProps {
    name?: string;
    isActive?: boolean;
    isCompleted?: boolean;
}
export declare function useStep(props: UseStepProps): {
    isActive: boolean | undefined;
    isCompleted: boolean | undefined;
};
/**
 * Returns props for a Prev Button
 */
export declare function usePrev({ label }?: {
    label?: string | undefined;
}): {
    isDisabled: boolean;
    onClick: () => void;
    label: string;
};
/**
 * Returns props for a Next Button
 */
export declare function useNext({ label, submitLabel }?: {
    label?: string | undefined;
    submitLabel?: string | undefined;
}): {
    isDisabled: boolean;
    onClick: () => void;
    label: string;
};
//# sourceMappingURL=use-stepper.d.ts.map